------------------------------------------------------------------------------------
--Name:  	qixi1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-07-16
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(56, 117)
CppScriptMgr:SetViewScale(230)
local Player_1 = CppScriptMgr:AddPlayer(144, 54, 119, "StarfieldSentry", 0, 0)
Player_1:SetDir(5)
local Player_2 = CppScriptMgr:AddSimplePlayer(1062280, 60, 113, "SwordDeity", 0, 0)
Player_2:SetRWeapon(360409, 0, 1)
CppScriptMgr:WaitMilSec(960)
Player_1:SetAction(101)
CppScriptMgr:NpcCallOut("Insignificant human, daring to explore the secrets of the starfields!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc10086", 150, 430, "StarfieldSentry", 250, 655, true)
CppScriptMgr:WaitMilSec(1950)
CppScriptMgr:NpcCallOut("Exploring the starfields is my lifelong quest. I won`t lose this battle!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_2024Qixi1", 150, 430, "SwordDeity", 250, 655, true)
Player_2:SetAction(101)
CppScriptMgr:WaitMilSec(1970)
Player_1:SetAction(102)
CppScriptMgr:WaitMilSec(60)
CppScriptMgr:NpcCallOut("How boastful! If you want to open the Starfield Gate, you must first get past me!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc10086", 150, 430, "StarfieldSentry", 250, 655, true)
CppScriptMgr:WaitMilSec(1950)
Player_1:SetAction(402)
CppScriptMgr:ShakeScrEffect(5)
local Effect_1 = CppScriptMgr:AddEffect("ride_screen", 54, 119, 33, 1, 1, 1)
local Effect_4 = CppScriptMgr:AddEffect("bombarrow", 57, 119, 33, 1, 1, 1)
Effect_4:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(170)
local effect_1 = CppScriptMgr:AddEffect("xuanyuan_skill3", 57, 119, 33, 1, 1, 1)
effect_1:Scale(3, 3, 3)
CppScriptMgr:WaitMilSec(780)
local Effect_2 = CppScriptMgr:AddEffect("ssch_wlhd_hit", 57, 119, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(120)
Player_2:SetAction(401)
CppScriptMgr:WaitMilSec(800)
Player_1:SetAction(402)
CppScriptMgr:WaitMilSec(80)
local Effect_3 = CppScriptMgr:AddEffect("HHQZS_FireBall", 57, 119, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1020)
Player_2:SetAction(401)
local Effect_5 = CppScriptMgr:AddEffect("Ia_Cir", 57, 119, 33, 1, 1, 1)
local effect_0 = CppScriptMgr:AddEffect("xuanyuan_skill5xh", 57, 119, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1320)
Player_2:SetAction(401)
CppScriptMgr:WaitMilSec(600)
Player_1:SetAction(402)
local Effect_6 = CppScriptMgr:AddEffect("nag_bom_ass", 57, 119, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(550)
Player_2:SetAction(402)
CppScriptMgr:WaitMilSec(440)
CppScriptMgr:ClearEffect(Effect_5)
Player_1:SetAction(330)
CppScriptMgr:WaitMilSec(870)
CppScriptMgr:ClearEffect(effect_1)
CppScriptMgr:WaitMilSec(130)
Player_2:SetAction(101)
CppScriptMgr:WaitMilSec(560)
Player_1:SetAction(331)
Player_1:SetFrameInterval(10000)
CppScriptMgr:WaitMilSec(350)
CppScriptMgr:NpcCallOut("The Starfield Gate, Open!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_2024Qixi1", 150, 430, "SwordDeity", 250, 655, true)
CppScriptMgr:WaitMilSec(90)
local effect_4 = CppScriptMgr:AddEffect("irongate_superc", 54, 119, 33, 1, 1, 1)
CppScriptMgr:ShakeScrEffect(5)
effect_4:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(1420)
local effect_2 = CppScriptMgr:AddEffect("Common_Casting", 54, 119, 33, 1, 1, 1)
effect_2:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(120)
CppScriptMgr:ShakeScrEffect(5)
Player_2:SetCtrlMapView(1)
Player_2:JumpTo(54, 120)
local effect_5 = CppScriptMgr:AddEffect("QiFuLev3", 56, 117, 33, 1, 1, 1)
local Effect_7 = CppScriptMgr:AddEffect("zf2-e233", 54, 120, 33, 1, 1, 1)
Effect_7:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(150)
Player_2:SetDir(7)
CppScriptMgr:WaitMilSec(550)
Player_2:SetMount(205012)
Player_1:SetHide(1)
local effect_3 = CppScriptMgr:AddEffect("195200", 56, 117, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(70)
ChangeNpcZoom(Player_2, 100, 200, 5, 60)
CppScriptMgr:WaitMilSec(810)
Player_2:SetAction(1112)
CppScriptMgr:WaitMilSec(370)
CppScriptMgr:NpcCallOut("Hahaha! I have made it!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_2024Qixi1", 150, 430, "SwordDeity", 250, 655, true)
CppScriptMgr:WaitMilSec(2400)